# $Revision: 1.46 $, $Date: 2009/01/08 21:37:32 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Twin - a windowing environment
Summary(pl.UTF-8):	Tekstowe środowisko okienkowe
Name:		twin
Version:	0.5.1
Release:	4
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/twin/%{name}-%{version}.tar.gz
# Source0-md5:	46b31e1bdd4fda60336da24034896c53
Patch0:		%{name}-bitops.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-declarations.patch
Patch3:		%{name}-ncursesw.patch
Patch4:		%{name}-utf8.patch
Patch5:		%{name}-dont_strip.patch
Patch6:		%{name}-raw.patch
Patch7:		%{name}-gpm_wheel.patch
URL:		http://twin.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bash
BuildRequires:	gpm-devel
BuildRequires:	gtk+-devel
BuildRequires:	libggi-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Twin is a windowing environment with mouse support, window manager,
terminal emulator and networked clients, all inside a text display.

It supports a variety of displays:
- plain text terminals (any termcap/ncurses compatible terminal, Linux
  console, twin's own terminal emulator);
- X11, where it can be used as a multi-window xterm;
- itself (you can display a twin on another twin);
- twdisplay, a general network-transparent display client, used to
  attach/detach more displays on-the-fly.

%description -l pl.UTF-8
Twin jest tekstowym środowiskiem okienkowym - zmienia terminal
tekstowy w środowisko podobne do zarządcy okien znanego ze środowiska
X Window.

Obsługuje wyświetlanie na:
- terminalach czysto tekstowych (dowolnym zgodnym z termcap/ncurses,
  konsoli Linuksa, własnym emulatorze Twin)
- w systemie X Window, gdzie może być używany jako wielookienkowy
  xterm
- sobie samym (można wyświetlać twin na innym twin)
- twdisplay, czyli ogólnym, przezroczystym sieciowo kliencie, używanym
  do dołączania i odłączania w locie.

%package devel
Summary:	Header files etc for developing twin applications
Summary(pl.UTF-8):	Pliki nagłówkowe dla twin
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files etc for developing twin applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne potrzebne do tworzenia programów opartych o
twin.

%package static
Summary:	Static twin libraries
Summary(pl.UTF-8):	Biblioteki statyczne twin
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static twin libraries.

%description static -l pl.UTF-8
Biblioteki statyczne twin.

%package TT-hw-gtk
Summary:	TT GTK+ driver for twin
Summary(pl.UTF-8):	Sterownik TT GTK+ do twin
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description TT-hw-gtk
GTK+ target driver for twin's TT library.

%description TT-hw-gtk -l pl.UTF-8
Sterownik wyjścia GTK+ do biblioteki TT z twin.

%package hw-X11
Summary:	X11 driver for twin
Summary(pl.UTF-8):	Sterownik X11 do twin
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description hw-X11
X11 driver for twin.

%description hw-X11 -l pl.UTF-8
Sterownik X11 do twin.

%package hw-ggi
Summary:	GGI driver for twin
Summary(pl.UTF-8):	Sterownik GGI do twin
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description hw-ggi
GGI driver for twin.

%description hw-ggi -l pl.UTF-8
Sterownik GGI do twin.

%package hw-tty
Summary:	TTY driver with GPM support for twin
Summary(pl.UTF-8):	Sterownik TTY z obsługą GPM-a do twin
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description hw-tty
TTY driver with mouse support through GPM for twin.

%description hw-tty -l pl.UTF-8
Sterownik TTY z obsługą myszy przez GPM do twin.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make} \
	CFLAGS="%{rpmcflags} -Wall -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install docs/twin.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS Changelog.txt README docs/{Compatibility,Philosophy,Tutorial}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/libTT.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libTT.so.0
%attr(755,root,root) %{_libdir}/libTutf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libTutf.so.0
%attr(755,root,root) %{_libdir}/libTw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libTw.so.4
%dir %{_libdir}/TT
%dir %{_libdir}/TT/modules
%dir %{_libdir}/TT/modules/HW
%attr(755,root,root) %{_libdir}/TT/modules/HW/twin*.so*
%attr(755,root,root) %{_libdir}/TT/modules/HW/xml.so*
%dir %{_libdir}/twin
%{_libdir}/twin/system.*
%dir %{_libdir}/twin/modules
%attr(755,root,root) %{_libdir}/twin/modules/*.so*
%dir %{_libdir}/twin/modules/HW
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_display.so*
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_twin.so*
%dir %{_datadir}/twin
%dir %{_datadir}/twin/themes
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc docs/{diagram.txt,libTT-design.txt,libTw.txt,ltrace.conf} clients/README.twsetroot
%attr(755,root,root) %{_libdir}/libTT.so
%attr(755,root,root) %{_libdir}/libTutf.so
%attr(755,root,root) %{_libdir}/libTw.so
%{_includedir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libTT.a
%{_libdir}/libTutf.a
%{_libdir}/libTw.a
%endif

%files TT-hw-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/TT/modules/HW/gtk.so*

%files hw-X11
%defattr(644,root,root,755)
%doc themes/hw_gfx/README
%attr(755,root,root) %{_libdir}/TT/modules/HW/X11.so*
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_X*.so*
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_gfx.so*
%dir %{_datadir}/twin/themes/hw_gfx
%{_datadir}/twin/themes/hw_gfx/*.xpm

%files hw-ggi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_ggi.so*

%files hw-tty
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_tty.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: twin.spec,v $
Revision 1.46  2009/01/08 21:37:32  pawelz
- unified %%files (ghost so symlinks etc.)

Revision 1.45  2008/09/14 12:35:39  charles
- without static_libs bcond

Revision 1.44  2007/10/04 16:19:38  witekfl
- added the gpm_wheel.patch

Revision 1.43  2007/10/03 19:20:57  witekfl
- added the raw.patch
- twin --hw=tty,raw=no,termcap,charset=UTF-8 works fine

Revision 1.42  2007/10/03 17:08:29  witekfl
- added the dont_strip.patch

Revision 1.41  2007/10/03 13:02:14  witekfl
- added the utf8.patch
- to use UTF-8, run on a UTF-8 terminal
  twin --hw=tty,termcap,charset=UTF-8
- rel 4

Revision 1.40  2007/10/01 19:59:13  witekfl
- added three patches
- it builds on Th and works for the C locale
- bash used because of problems with pdksh
- rel 3

Revision 1.39  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.38  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.37  2006/11/09 21:13:36  glen
- strict internal deps

Revision 1.36  2004/10/31 15:11:54  paladine
- spaces->tabs
- formatting

Revision 1.35  2004/10/28 09:58:33  paladine
- "GTK+" unification (hope thats all)

Revision 1.34  2004/01/04 11:51:23  qboosh
- added bitops patch - don't use <linux/bitops.h>, it may not work in userspace
  on all archs

Revision 1.33  2003/07/20 14:36:44  qboosh
- updated to 0.5.1

Revision 1.32  2003/05/28 13:02:23  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:27:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/04/12 19:59:08  qboosh
- updated to 0.4.6

Revision 1.29  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.28  2002/12/02 22:09:03  ankry
- pl Summary/description fixes
- adapterized

Revision 1.27  2002/11/25 01:42:05  ankry
  Massive attack:
- s/man[ea]d[zż][ae]r/zarządca/g
- (some) new %doc

Revision 1.26  2002/11/18 23:13:13  qboosh
- added TT X11 module to -hw-X11 subpackage; release 2

Revision 1.25  2002/10/30 05:13:26  kloczek
- updated to 0.4.5: bug fixes.

Revision 1.24  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/08/03 12:12:32  qboosh
- finished: separated subpackages with drivers which have different requirements

Revision 1.22  2002/08/03 08:38:22  qboosh
- updated file list, new %doc, fixes in descriptions and more; NFY

Revision 1.21  2002/08/02 22:00:13  marcus
- updated to 0.4.4
- %files need fixing

Revision 1.20  2002/04/02 18:36:15  kloczek
- removed using %{__install} macro.

Revision 1.19  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/02 20:39:56  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.16  2002/02/01 14:55:46  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.15  2002/01/28 10:31:00  marcus
- s/%{x86}/%{ix86}/g

Revision 1.14  2002/01/18 02:15:14  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/13 17:42:06  djrzulf
- added polish Summary and Description

Revision 1.12  2001/06/29 07:33:29  kloczek
- updated to 0.3.9,
- removed obsoleted makeinstall patch.

Revision 1.11  2001/04/30 16:05:31  kloczek
- added using %{rpmcflags} macro.

Revision 1.10  2001/03/11 21:09:47  kloczek
- updated to 0.3.8,
- enable ggi backend module also on sparc,
- removed obsoletes patches.

Revision 1.9  2001/03/11 07:19:10  qboosh
- makeinstall patch: don't make everything second time on make install

Revision 1.8  2001/02/24 14:18:43  kloczek
- release 5.

Revision 1.7  2001/02/23 16:02:29  malekith
- Added patch to reconise /dev/vc/* as linux console.

Revision 1.6  2001/02/23 03:55:50  kloczek
- release 4: use ggi, gii only on %{ix86}.

Revision 1.5  2001/02/22 23:33:34  pawelk
- added BuildRequires:  libgii-devel
- added Tutorial and one README.xxxxx to doc

Revision 1.4  2001/02/22 19:03:33  kloczek
- fixed DESTDIR patch (misiek) - seems twin wokr now :).

Revision 1.3  2001/02/22 07:31:49  kloczek
- release 2: added %{_bibdir}/* to %files list.

Revision 1.2  2001/02/22 05:30:36  kloczek
- cosmetics.

Revision 1.1  2001/02/22 05:29:57  kloczek
- written from scrach - reiady to taste but still need some work (separate
  modules in subpackage).
